Skip to main content
GET
Get all invoices

Authorizations

Authorization
string
header
required

Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.

Query Parameters

per_page
integer

Number of records per page

page
integer

Page number

status
enum<string> | null

Filter invoices by status Status of the invoice

Available options:
DRAFT,
FINALIZED
Example:

"FINALIZED"

payment_status
enum<string>
default:PENDING

Filter invoices by payment status (e.g., pending, failed, succeeded)

Available options:
PENDING,
FAILED,
SUCCEEDED
external_customer_id
string

Filter invoices by external customer ID

issuing_date_from
string<date>
required

Filter invoices issued on or after this date (ISO 8601 format) Date in ISO 8601 format (YYYY-MM-DD).

Pattern: ^(?:[1-9]\d{3}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-8]))|(?:(?:\d{2}(?:0[48]|[2468][048]|[13579][26]))|(?:[02468][048]00|[13579][26]00))-02-29)$
Example:

"2023-10-01"

issuing_date_to
string<date>
required

Filter invoices issued on or before this date (ISO 8601 format) Date in ISO 8601 format (YYYY-MM-DD).

Pattern: ^(?:[1-9]\d{3}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-8]))|(?:(?:\d{2}(?:0[48]|[2468][048]|[13579][26]))|(?:[02468][048]00|[13579][26]00))-02-29)$
Example:

"2023-10-01"

Response

A list of invoices.

invoices
object[]
metadata
object